## ros-melodic-novatel-oem7-msgs 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(novatel_oem7_msgs)

set(MSG_DEPS 
  std_msgs)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  ${MSG_DEPS}
)

add_service_files(
  FILES
  Oem7AbasciiCmd.srv
)

add_message_files(DIRECTORY msg FILES
  Oem7RawMsg.msg
  Oem7Header.msg
  BESTPOS.msg
  BESTUTM.msg
  BESTVEL.msg
  HEADING2.msg
  INSCONFIG.msg
  INSPVA.msg
  INSPVAX.msg
  INSSTDEV.msg
  CORRIMU.msg
  IMURATECORRIMU.msg
  RXSTATUS.msg
  TIME.msg
  INSExtendedSolutionStatus.msg
  INSFrame.msg
  INSReceiverStatus.msg
  INSResetType.msg
  INSSourceStatus.msg
  INSUpdate.msg
  BestExtendedSolutionStatus.msg
  InertialSolutionStatus.msg
  INSAlignmentMode.msg
  INSOutputFrame.msg
  PositionOrVelocityType.msg
  Rotation.msg
  RotationalOffset.msg
  SolutionStatus.msg
  SolutionSource.msg
  Translation.msg
  TranslationOffset.msg
)
generate_messages(DEPENDENCIES ${MSG_DEPS})
catkin_package(
  CATKIN_DEPENDS message_runtime ${MSG_DEPS}
)

=== debian/changelog ===
ros-melodic-novatel-oem7-msgs (1.1.0-1stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- NovAtel Support <support@novatel.com>  Sun, 03 May 2020 06:11:38 -0000

=== debian/control ===
Source: ros-melodic-novatel-oem7-msgs
Section: misc
Priority: optional
Maintainer: NovAtel Support <support@novatel.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: http://www.novatel.com
Standards-Version: 3.9.2

Package: ros-melodic-novatel-oem7-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: Messages for NovAtel Oem7 family of receivers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-novatel-oem7-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-novatel-oem7-msgs 4.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8.3)
+cmake_minimum_required(VERSION 3.0.2)
 project(novatel_oem7_msgs)
 
 set(MSG_DEPS 
@@ -17,8 +17,12 @@
 add_message_files(DIRECTORY msg FILES
   Oem7RawMsg.msg
   Oem7Header.msg
+  BESTGNSSPOS.msg
   BESTPOS.msg
   BESTUTM.msg
+  PPPPOS.msg
+  TERRASTARSTATUS.msg
+  TERRASTARINFO.msg
   BESTVEL.msg
   HEADING2.msg
   INSCONFIG.msg
@@ -35,6 +39,13 @@
   INSResetType.msg
   INSSourceStatus.msg
   INSUpdate.msg
+  SubscriptionPermission.msg
+  SubscriptionType.msg
+  SyncState.msg
+  RegionRestriction.msg
+  LocalAreaStatus.msg
+  AccessStatus.msg
+  GeogatingStatus.msg
   BestExtendedSolutionStatus.msg
   InertialSolutionStatus.msg
   INSAlignmentMode.msg

=== debian/changelog ===
ros-melodic-novatel-oem7-msgs (4.2.0-1bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- NovAtel Support <support.novatel@hexagon.com>  Tue, 14 Mar 2023 19:18:55 -0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-novatel-oem7-msgs
 Section: misc
 Priority: optional
-Maintainer: NovAtel Support <support@novatel.com>
+Maintainer: NovAtel Support <support.novatel@hexagon.com>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-std-msgs
 Homepage: http://www.novatel.com
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
